package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFDB4Data {

    private Map<String, Object> params;
    
    public MWFDB4Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsCmId() {
        return (String) params.get("RS_CM_ID");
    }

    public String rsUzivatel() {
        return (String) params.get("RS_UZIVATEL");
    }

    public java.util.Date rsDatumcaszalozeni() {
        return (java.util.Date) params.get("RS_DATUMCASZALOZENI");
    }

    public String rsUzivatelzmena() {
        return (String) params.get("RS_UZIVATELZMENA");
    }

    public java.util.Date rsDatumcaszmena() {
        return (java.util.Date) params.get("RS_DATUMCASZMENA");
    }

    public String rsSpravce() {
        return (String) params.get("RS_SPRAVCE");
    }

    public String rsTypproduktu() {
        return (String) params.get("RS_TYPPRODUKTU");
    }

    public String rsTypdokumentu() {
        return (String) params.get("RS_TYPDOKUMENTU");
    }

    public String rsSegmentklientu() {
        return (String) params.get("RS_SEGMENTKLIENTU");
    }

    public String rsSkupinadokumentu() {
        return (String) params.get("RS_SKUPINADOKUMENTU");
    }

    public java.util.Date rsPlatnostod() {
        return (java.util.Date) params.get("RS_PLATNOSTOD");
    }

    public java.util.Date rsPlatnostdo() {
        return (java.util.Date) params.get("RS_PLATNOSTDO");
    }

    public String rsUcel() {
        return (String) params.get("RS_UCEL");
    }

    public String rsPoznamka() {
        return (String) params.get("RS_POZNAMKA");
    }

    public String rsJazyk() {
        return (String) params.get("RS_JAZYK");
    }

    public String rsNazevDokumentu() {
        return (String) params.get("RS_NAZEV_DOKUMENTU");
    }

    public String rsSkupinaklientu() {
        return (String) params.get("RS_SKUPINAKLIENTU");
    }

    public String rsCharakter() {
        return (String) params.get("RS_CHARAKTER");
    }

    public String rsDistribuce() {
        return (String) params.get("RS_DISTRIBUCE");
    }

    public String rsCitlivost() {
        return (String) params.get("RS_CITLIVOST");
    }

    public String rsPristup() {
        return (String) params.get("RS_PRISTUP");
    }

    public String rsLhutaskartace() {
        return (String) params.get("RS_LHUTASKARTACE");
    }

    public java.util.Date rsDatumskartace() {
        return (java.util.Date) params.get("RS_DATUMSKARTACE");
    }

    public String rsSkupinaproduktu() {
        return (String) params.get("RS_SKUPINAPRODUKTU");
    } 

}
